package com.ejie.ab61.model.plantillas;

import java.util.Date;

public class ParametrosConfig implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idParametroConfig;
	private String descripcion;
	private String valor;
	private String observaciones;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	public ParametrosConfig() {
	}

	public ParametrosConfig(Integer idParametroConfig) {
		this.idParametroConfig = idParametroConfig;
	}

	/**
	 * Method 'ParametrosConfig'.
	 * 
	 * @param idParametroConfig
	 *            Integer
	 * @param descripcion
	 *            String
	 * @param valor
	 *            Integer
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 */
	public ParametrosConfig(Integer idParametroConfig, String descripcion, String valor, String observaciones,
			Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion) {
		this.idParametroConfig = idParametroConfig;
		this.descripcion = descripcion;
		this.valor = valor;
		this.observaciones = observaciones;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * @return the idParametroConfig
	 */
	public Integer getIdParametroConfig() {
		return idParametroConfig;
	}

	/**
	 * @param idParametroConfig
	 *            the idParametroConfig to set
	 */
	public void setIdParametroConfig(Integer idParametroConfig) {
		this.idParametroConfig = idParametroConfig;
	}

	public String getValor() {
		return valor;
	}

	public void setValor(String valor) {
		this.valor = valor;
	}

	public String getDescripcion() {
		return descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	/**
	 * @return the observaciones
	 */
	public String getObservaciones() {
		return observaciones;
	}

	/**
	 * @param observaciones
	 *            the observaciones to set
	 */
	public void setObservaciones(String observaciones) {
		this.observaciones = observaciones;
	}

	/**
	 * @return the fechaRegistro
	 */
	public Date getFechaRegistro() {
		return fechaRegistro;
	}

	/**
	 * @param fechaRegistro
	 *            the fechaRegistro to set
	 */
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * @return the usuarioRegistro
	 */
	public String getUsuarioRegistro() {
		return usuarioRegistro;
	}

	/**
	 * @param usuarioRegistro
	 *            the usuarioRegistro to set
	 */
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * @return the fechaUltmodificacion
	 */
	public Date getFechaUltmodificacion() {
		return fechaUltmodificacion;
	}

	/**
	 * @param fechaUltmodificacion
	 *            the fechaUltmodificacion to set
	 */
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * @return the usuarioUltmodificacion
	 */
	public String getUsuarioUltmodificacion() {
		return usuarioUltmodificacion;
	}

	/**
	 * @param usuarioUltmodificacion
	 *            the usuarioUltmodificacion to set
	 */
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idParametroConfig: ").append(this.idParametroConfig).append(" ]");
		result.append(", [ descripcion: ").append(this.descripcion).append(" ]");
		result.append(", [ valor: ").append(this.valor).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

}
